Bug 6341 - pcmcia-RHEA-1999:044.img kickstart install fails.
pcmcia-RHEA-1999:044.img kickstart install fails.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-25 12:41 EDT by Virtual Janitor
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-21 09:35:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Virtual Janitor 1999-10-25 12:41:07 EDT
Thanks for replacing the pcmcia-RHEA-1999:044.img with a
real pcmcia.img instead of a duplicate of the
boot-RHEA-1999:044.img image saturday.  You really should
however note it in the errata on your web site just in case
anyone is still trying to figure that one out, rather than
just quitely replacing it with a newer file of the same
name.

I've managed to get a bit further after many tries but still
no kickstart success.  Shortly after network services are
set up and the nfs server is mounted the following error
occurs:

   Could not find platform independent libraries <prefix>
   Consider setting $PYTHONHOME to <prefix>[:exec_prefix]
   'import exceptions' failed use -v for traceback
   Traceback ( innermost last):
      File "/usr/sbin/anaconda", Line 3, in ?
         import sys, os
   ImportError: No module named os
   install exited abnormally

...kills and unmounts everything then shuts down without
giving one the opportunity to poke around...

My syslinux.cfg
	append update text ks=floppy initrd=initrd.img

My ks.cfg
	lang en_US
	network --bootproto static --ip MYIP --netmask MYNETMASK
--gateway MYGATEWY --nameserver MYNAMESERVER
	nfs --server MYSERVER --dir /export/home/redhat
	keyboard "us"
	zerombr yes
	clearpart --all
	part swap --size 127
	part / --size 500 --grow
	install
	mouse ps/2 --emulthree
	timezone --tuc /etc/localtime: timezone data
	xconfig --server /etc/X11/X: symbolic link to
../../usr/X11R6/bin/XFCon_NeoMagic" --monitor "generic
multisync"
	rootpw --iscryted SXn1XGr97gWHo
	auth --nisdomain MYDOMAIN --useshadow --enablemd5
	lilo --location mbr
	%packages
	...

using pcmcia-RHEA-1999:044.img and updates-RHEA-1999:045.img

The updates disk is never asked for.
Comment 1 Virtual Janitor 1999-11-04 12:56:59 EST
I fixed the typo in the append line in syslinux.cfg so it now reads:
   "append updates ks=floppy initrd=initrd.img"
Install now asks for the updates disk but it still dies with the
same message but with one more line of text after the "import
exception":
   "Warning! Falling back to string-bases exceptions"

I don't know if it helps but the last few lines that appear
in the Virtual Terminal 4 <ctrl><Alt><F4> are:
   "* recursively copying /tmp/update-disk/textw"
   "* going to insmod raid0.o (path is NULL)"
   "* going to insmod raid1.o (path is NULL)"
   "* going to insmod raid5.o (path is NULL)"

Any Ideas Anyone?  It would sure be nice to be able to use kickstart
again.  If I'm not quick enough at learning enough about Python to fix
the problems myself, I may be forced into supporting alternate
distributions for my customers.  Kickstart is one of my primary
reasons for recommending RedHat distributions.
Comment 2 Cristian Gafton 2000-01-27 02:48:59 EST
probably matt shoudl check this out
Comment 3 Virtual Janitor 2000-04-19 09:07:59 EDT
This problem has been fixed in the 6.2 release.

Note You need to log in before you can comment on or make changes to this bug.